Skip to main content
POST
/
entities
/
site
/
{site_id}
/
unenrol
Unenrol Site
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/site/{site_id}/unenrol \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api-sandbox.axle.energy/entities/site/{site_id}/unenrol"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api-sandbox.axle.energy/entities/site/{site_id}/unenrol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Body

application/json

Request model for unenrolling a site from a proposition.

proposition
enum<string>
required

Proposition to unenrol from

Available options:
limited_pause,
full_asset_schedule_control

Response

Successfully unenrolled or already unenrolled

Response model for the unenrol endpoint.

site_id
string<uuid>
required

ID of the unenrolled site

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

status
enum<string>
required
Available options:
unenrolled,
already_unenrolled
Example:

"unenrolled"